## com.puppycrawl.tools.checkstyle.checks.sizes
Class MethodCountCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.sizes.MethodCountCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public final class MethodCountCheck

extends Check

Counts the methods of the type-definition and checks whether this count is higher than the configured limit.

Author:
  Alexander Jesse, Oliver Burn

Constructor Summary
`MethodCountCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `leaveToken(DetailAST aAST)` Called after all the child nodes have been process.
`void` `setMaxPackage(int aValue)` Sets the maximum allowed `package` methods per type.
`void` `setMaxPrivate(int aValue)` Sets the maximum allowed `private` methods per type.
`void` `setMaxProtected(int aValue)` Sets the maximum allowed `protected` methods per type.
`void` `setMaxPublic(int aValue)` Sets the maximum allowed `public` methods per type.
`void` `setMaxTotal(int aValue)` Sets the maximum total methods per type.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodCountCheck

    public MethodCountCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### leaveToken

    public void leaveToken(DetailAST aAST)

  Description copied from class: `Check`
  Called after all the child nodes have been process.

  Overrides:
    `leaveToken` in class `Check`
  Parameters:
    `aAST` - the token leaving

### setMaxPrivate

    public void setMaxPrivate(int aValue)

  Sets the maximum allowed `private` methods per type.

  Parameters:
    `aValue` - the maximum allowed.

### setMaxPackage

    public void setMaxPackage(int aValue)

  Sets the maximum allowed `package` methods per type.

  Parameters:
    `aValue` - the maximum allowed.

### setMaxProtected

    public void setMaxProtected(int aValue)

  Sets the maximum allowed `protected` methods per type.

  Parameters:
    `aValue` - the maximum allowed.

### setMaxPublic

    public void setMaxPublic(int aValue)

  Sets the maximum allowed `public` methods per type.

  Parameters:
    `aValue` - the maximum allowed.

### setMaxTotal

    public void setMaxTotal(int aValue)

  Sets the maximum total methods per type.

  Parameters:
    `aValue` - the maximum allowed.

Copyright © 2001-2011. All Rights Reserved.